<?php
/*  
Plugin Name:Wp Scroll To Top
Description: Scrolls the page to top. 
Version: 1.01 
Author: UmarBajwa
License: GPLv2 or later
License URI: http://www.gnu.org/licenses/gpl-2.0.html
*/



function  scr_html_structure(){
	echo "<div id='scr_wrapper'>
     <div class='scr_container'>
     
     <a href='#top'><span class='scr_icon'>^</span></a>
     </div>
     
	</div>";

  include 'scr_style.css';
}

add_action('wp_footer','scr_html_structure');

//Adding scripts
add_action( 'init', 'register_plugin_styles' );
function register_plugin_styles() {
	wp_register_style( 'scroller-plugin', plugins_url('wp-scroll-to-top/scr_style.css'));
	wp_enqueue_style( 'scroller-plugin' );
}
add_action( 'wp_enqueue_script', 'load_jquery' );
function load_jquery() {
    wp_enqueue_script( 'jquery' );
}

 function my_script() {
	wp_enqueue_script( 'scroller-js', plugins_url('wp-scroll-to-top/scr_js.js'));
}
wp_enqueue_script("jquery");
add_action( 'init', 'my_script' );

//Done adding scripts;

add_action('admin_menu','scr_modify_menu');
function scr_modify_menu(){
	add_menu_page(
    'scr_options!',
    'Wp Scroll To Top',
    'administrator',
    'scr_options',
    'admin_scr_options'
    );
}

function admin_scr_options(){
   // premium version goes here
   ?>
   <h3>Options are only available in Premium Version.</h3>
   <div id="scr_plus"><a href="http://web-settler.com/wp-scroll-to-top" target="_blank">Click For Premium Version</a></div>

<?php
include 'scr_style_options.css';
}

?>

